package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.BMaintenancePlanInfo;
import java.util.List;

import cn.cecep.talroad.vo.AmProblemFiRatioVo;
import cn.cecep.talroad.vo.query.AmProblemFiRatioQuery;
import cn.cecep.talroad.vo.query.analysis.BMaintenancePlanQuery;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
public interface BMaintenancePlanInfoService extends IService<BMaintenancePlanInfo>{


    int updateBatch(List<BMaintenancePlanInfo> list);

    int updateBatchSelective(List<BMaintenancePlanInfo> list);

    int batchInsert(List<BMaintenancePlanInfo> list);

    Boolean updatePlanInfo(List<BMaintenancePlanInfo> infos,Integer planId);

    List<BMaintenancePlanInfo> selectAllDeviceService(String factoryId,Integer planId);

    List<BMaintenancePlanInfo> infoPageList(Page<BMaintenancePlanInfo> page, String factoryId, BMaintenancePlanQuery bMaintenancePlanQuery);
}
